> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/audit-api.md).

# Audit API

The **Audit API** enables you to track and retrieve activity logs across the Marketplace Platform, so you have full visibility into key actions taken by users or systems.

Use this API to create audit records, list logged events for monitoring or compliance, and retrieve details for specific events.

## Before you start

Review the shared API docs before you work with audit resources.

* [Authentication](/developer-resources/rest-api.md)
* [URL structure](/developer-resources/api-usage-and-reference/url-structure.md)
* [Error handling](/developer-resources/api-usage-and-reference/errors-handling.md)

## Core resources

The Audit API is built around the following core resources:

* **Audit record** – Represents a detailed record of an event that took place within the platform.
* **Audit event types** – Represents the event types used within the platform.

## Browse collections

The API is organized into collections, each containing a set of operations. Access to these operations varies by role, depending on whether you are a `client`, `vendor`, or `operations` user.

See the following sections to determine which roles are authorized to perform specific operations within each collection:

### Audit Records

| Operation                                                                                            | Method | Description                             | Access              |
| ---------------------------------------------------------------------------------------------------- | ------ | --------------------------------------- | ------------------- |
| [Create audit record](/developer-resources/rest-api/audit-api/audit-record-1/create-audit-record.md) | POST   | Creates an audit record.                | vendor, client, ops |
| [List audit records](/developer-resources/rest-api/audit-api/audit-record-1/list-audit-records.md)   | GET    | Retrieves the audit records collection. | vendor, client, ops |
| [Get audit record](/developer-resources/rest-api/audit-api/audit-record-1/get-audit-records.md)      | GET    | Retrieves an audit record by ID.        | vendor, ops         |

### Audit Event Types

| Operation                                                                                                    | Method | Description                                        | Access              |
| ------------------------------------------------------------------------------------------------------------ | ------ | -------------------------------------------------- | ------------------- |
| [List audit event types](/developer-resources/rest-api/audit-api/audit-event-type/list-audit-event-types.md) | GET    | Retrieves the list of all known audit event types. | vendor, client, ops |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/audit-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
